import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';


@Component({
  selector: 'of-pages-auth-signin',
  templateUrl: './signin-page.component.html',
})
export class SigninPageComponent implements OnInit {

  returnURL: string;

  constructor(
    private router: Router,
    private activatedRoute: ActivatedRoute,
  ) { }

  ngOnInit() {
    this.returnURL = this.activatedRoute.snapshot.queryParams['returnURL'] || '/';
  }

  onResetPassword() {
    this.router.navigate(['/auth/reset-password']);
  }

  onSignup() {
    this.router.navigate(['/auth/signup']);
  }
}
